set memory 64m
set more off

do ExperimentB_RecodeVariables.do

gen neL_neV_abp=neL_neV*anti_black_predisp
gen exL_imV_abp=exL_imV*anti_black_predisp

*table 1
summ

*table 2
table video, c(mean issueadsbad sd issueadsbad)

*table 3
table video, c(mean decrease_spending sd decrease_spending n decrease_spending)
table video, c(mean strengthen_work_reqs sd strengthen_work_reqs n strengthen_work_reqs)
table video, c(mean Oppose_Govt_Help_Blacks sd Oppose_Govt_Help_Blacks n Oppose_Govt_Help_Blacks)
table video, c(mean Decrease_Affirmative_Action sd Decrease_Affirmative_Action n Decrease_Affirmative_Action)

*table 4
oprobit decrease_spending           neL_neV exL_imV anti_black_predisp neL_neV_abp exL_imV_abp educ age age2 female conservatism if exL_neV~=1, robust
outreg  anti_black_predisp neL_neV_abp exL_imV_abp neL_neV exL_imV  educ age age2 female conservatism using "logs\table4b.out", addstat(log-likelihood, e(ll), chi2, e(chi2), dfchi2, e(df_m)) bfmt(fc) bdec(3) tdec(2) ctitle("(4)") nonotes replace

oprobit strengthen_work_reqs        neL_neV exL_imV anti_black_predisp neL_neV_abp exL_imV_abp educ age age2 female conservatism if exL_neV~=1, robust
outreg  anti_black_predisp neL_neV_abp exL_imV_abp neL_neV exL_imV  educ age age2 female conservatism using "logs\table4b.out", addstat(log-likelihood, e(ll), chi2, e(chi2), dfchi2, e(df_m)) bfmt(fc) bdec(3) tdec(2) ctitle("(4)") nonotes append

oprobit Oppose_Govt_Help_Blacks     neL_neV exL_imV anti_black_predisp neL_neV_abp exL_imV_abp educ age age2 female conservatism if exL_neV~=1, robust
outreg  anti_black_predisp neL_neV_abp exL_imV_abp neL_neV exL_imV  educ age age2 female conservatism using "logs\table4b.out", addstat(log-likelihood, e(ll), chi2, e(chi2), dfchi2, e(df_m)) bfmt(fc) bdec(3) tdec(2) ctitle("(6)") nonotes append

oprobit Decrease_Affirmative_Action neL_neV exL_imV anti_black_predisp neL_neV_abp exL_imV_abp educ age age2 female conservatism if exL_neV~=1, robust
outreg  anti_black_predisp neL_neV_abp exL_imV_abp neL_neV exL_imV  educ age age2 female conservatism using "logs\table4b.out", addstat(log-likelihood, e(ll), chi2, e(chi2), dfchi2, e(df_m)) bfmt(fc) bdec(3) tdec(2) ctitle("(8)") nonotes append
